NSX-T Data Center REST API

Patch a gateway connection

If a gateway connection is not already present, create a new gateway connection .
If it already exists, update the gateway connection.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/gateway-connections/{gateway-connection-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
GatewayConnection+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/gateway-connections/tenant-1 { "resource_type": "GatewayConnection", "id": "tenant-1", "display_name": "tenant-1", "description": "Gateway connection", "tier0_path" : "/infra/tier-0s/gateway", "aggregate_routes": ["14.1.1.1/24", "16.1.1.2/24"] "advertise_outbound_route_filters": ["/infra/routing-config/prefix-lists/pl-1"], "inbound_remote_networks:["196.1.1.0/24"], "advertise_outbound_networks":{ "allow_external_blocks" : ["/infra/ip-blocks/nat-ip-blocks","/infra/ip-blocks/nat-ip-blocks-2"], "allow_private" : false }, "nat_config" : { "enable_snat" : true, "ip_block" : "/infra/ip-blocks/nat-ip-blocks" } }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Example Response:

200 OK

Required Permissions:

crud

Feature:

policy_transit_gateway_connection

Additional Errors: